
Katello - Bug #6513

Product destroy  prematurely removing from elastic search

07/07/2014 11:58 AM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Orchestration   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1116933 Red Hat JIRA:  

Pull request:    

Description

1.  Create a product  + a repo.

2.  Associate them in a CV, publish

3.  Remove the product via bulk actions. You should see an error saying. Cannot delete products since its already associated to the

library.

4.  Go to the products page..

Actual:

The product is missing even though the dynflow code complained that the product didnt get deleted due to an error.

Expected:

Expect to see the product there since it didnt get deleted.

PS:

The product actually doesnt get deleted from the DB. Its just that its prematurely deleted from elastic search.

Associated revisions

Revision 49e0a51d - 07/09/2014 11:17 AM - Partha Aji

Fixes #6513/bz1116933- Fixed search issues with product destroy

Product destroy dynflow code would prematurely remove the product from

the elastic search before removing from the db. So product record would

be wiped off the search index even if  product delete failed due to

some validation issue. This commit fixes that.

Revision dab5f271 - 07/09/2014 11:40 AM - Partha Aji

Merge pull request #4395 from parthaa/prod-destroy-fix

Fixes #6513/bz1116933- Fixed search issues with product destroy

History

#1 - 07/07/2014 11:59 AM - Partha Aji

- Assignee set to Partha Aji

#2 - 07/07/2014 11:59 AM - Partha Aji

- Category set to Orchestration

#3 - 07/07/2014 12:08 PM - Partha Aji

- Bugzilla link set to 1116933

#4 - 07/07/2014 01:22 PM - Eric Helms

- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes
#5 - 07/09/2014 12:01 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|49e0a51d170acfc6cab64afc4252b78dd57d954a.

#6 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
